Upgrading MediaWiki and SMW

I was updating MediaWiki to 1.17 last night, and kept getting a::

Fatal error: Call to undefined function wfWarn() in /var/www/w/extensions/SemanticMediaWiki/includes/SMW_Setup.php on line 49

because I was setting up SMW with $wgServerName:

require_once("$IP/extensions/SemanticMediaWiki/SemanticMediaWiki.php");
  enableSemantics($wgServerName);

and this has been deprecated in 1.17. As for why SMW is using the nonexistant mfWarn(), I haven’t got time to investigate.


Retrieved from ‘https://samwilson.id.au/index.php?title=Upgrading_MediaWiki_and_SMW&oldid=438